package com.ssj.bean.kmt.kmt.domain;


import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "kmt_course_know_template")
public class KmtCourseKnowTemplate extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 模板名称
     */
    private String name;

    /**
     * 老师id
     */
    private String teacherId;

    /**
     * 模板的讲义id
     */
    private String courseKnowId;

    /**
     * 科目
     */
    private String courseName;

    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 学期，1上学期，2下学期
     */
    private Integer semester;

    /**
     * 同步专题标识字段，1同步，2专题
     */
    private Integer topic;

    /**
     * 模板缓存的数组字段
     */
    private String data;

    /**
     * 模板类型，1小课正式版
     */
    private Integer templateType;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getCourseKnowId() {
        return courseKnowId;
    }

    public void setCourseKnowId(String courseKnowId) {
        this.courseKnowId = courseKnowId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public Integer getTopic() {
        return topic;
    }

    public void setTopic(Integer topic) {
        this.topic = topic;
    }

    public String getData() {
        return data;
    }

    public void setData(String data) {
        this.data = data;
    }

    public Integer getTemplateType() {
        return templateType;
    }

    public void setTemplateType(Integer templateType) {
        this.templateType = templateType;
    }
}
